# Uses of Enum
org.apache.zookeeper.server.NettyServerCnxn.HandshakeState

Packages that use NettyServerCnxn.HandshakeState
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of NettyServerCnxn.HandshakeState in org.apache.zookeeper.server

Subclasses with type arguments of type NettyServerCnxn.HandshakeState in org.apache.zookeeper.server
Modifier and Type
Class
Description
`static enum`
`NettyServerCnxn.HandshakeState`
Methods in org.apache.zookeeper.server that return NettyServerCnxn.HandshakeState
Modifier and Type
Method
Description
`NettyServerCnxn.HandshakeState`
NettyServerCnxn.`getHandshakeState()`
`static NettyServerCnxn.HandshakeState`
NettyServerCnxn.HandshakeState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static NettyServerCnxn.HandshakeState[]`
NettyServerCnxn.HandshakeState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.server with parameters of type NettyServerCnxn.HandshakeState
Modifier and Type
Method
Description
`void`
NettyServerCnxn.`setHandshakeState(NettyServerCnxn.HandshakeState state)`